Cyberduck Mountain Duck CLI

#5847 closed defect (fixed)

High CPU load and delay before starting transfer

Reported by: ye Owned by:
Priority: normal Milestone: 4.1
Component: core Version: 4.0.2
Severity: normal Keywords: CPU load, slow, wait
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Since v.4 I notice that if I download, even only with a single file, (I do it via drag and drop from the browser) cyberduck has for 2-3 seconds >100% CPU load and I get the wait-beach-ball-cursor for that period. With the time this gets annoying in everyday use.

Macbook Pro, OS 10.6.7, v. 4.0.3.

Change History (6)

comment:1 Changed on Mar 28, 2011 at 9:41:58 AM by ye

  • Summary changed from High CPU lad and delay before starting transfer to High CPU load and delay before starting transfer

comment:2 Changed on Mar 28, 2011 at 9:45:21 AM by dkocher

Try to clear the Transfers window from recent items.

comment:3 Changed on Mar 28, 2011 at 3:53:52 PM by ye

Indeed that helped.

But ... deleting the Transfers launched >1000 Threads and and resulted in 100% CPU load for over an hour! At least I consider that not as normal. A possibility to limit the amount of thinks kept in the history of transfers thus would be very appreciated. At least for the stuff of the transfers that causes these problems. A ordinary independent log file for the transfers would be nethertheless nice.

comment:4 Changed on Mar 29, 2011 at 4:44:29 PM by dkocher

  • Milestone set to 4.0.3

comment:5 Changed on Apr 4, 2011 at 8:21:35 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r8629.

comment:6 Changed on Jun 2, 2011 at 3:37:46 PM by dkocher

  • Milestone changed from 4.0.3 to 4.1

Milestone 4.0.3 deleted

Note: See TracTickets for help on using tickets.
swiss made software